var KEY_BORRAR="KEY_BORRAR";





function ponAccion(key){

	if (key==KEY_BORRAR){

		if(confirm(msgBorrar)){

			document.forms["formListadoModulos"].accion.value=key;

			submmitFormulario(key);

		}else{

			return;

		}

	}

	else

	{

		document.forms["formListadoModulos"].accion.value=key;

		submmitFormulario(key);

	}

}



function onLoadPage(){

	

		

	//Se obtiene la variable a recorrer

	var array 		= document.forms[0].idModulo;

	//Se entra en esta opci?n cuando solo existe un valor en el listado (se puede dar cuando hay paginaci?n)

	if(array != null){

		if(array.length == undefined){

			array.click();

		} else {

			//Se cliquea el registro

			array[0].click();

		}

		

	}else{

		document.forms["formListadoModulos"].borrar.disabled=true;

		document.forms["formListadoModulos"].activar.disabled=true;

		document.forms["formListadoModulos"].desactivar.disabled=true;

		document.forms["formListadoModulos"].modificar.disabled=true;

	

		//deshabilitarBoton();

	}	

}





function submmitFormulario(key){

	document.forms["formListadoModulos"].submit();

}





function deshabilitarBoton(){

	//document.forms["formListadoModulos"].borrar.disabled=true;

	document.forms["formListadoModulos"].modificar.disabled=true;

	document.forms["formListadoModulos"].activar.disabled=false;

	document.forms["formListadoModulos"].desactivar.disabled=true;

}



function habilitarBoton(){

	//document.forms["formListadoModulos"].borrar.disabled=false;

	document.forms["formListadoModulos"].modificar.disabled=false;

	document.forms["formListadoModulos"].activar.disabled=true;

	document.forms["formListadoModulos"].desactivar.disabled=false;

}